Loading...
Searching...
No Matches
ap::const_raw_vector< T > Class Template Reference

`#include <ap.h>`

## Public Member Functions

| const_raw_vector (const T *Data, int Length, int Step)
const T * | GetData () const
int | GetLength () const
int | GetStep () const
| const_raw_vector (const T *Data, int Length, int Step)
const T * | GetData () const
int | GetLength () const
int | GetStep () const

## Protected Attributes

T * | pData
int | iLength
int | iStep

## Detailed Description

template<class T>
class ap::const_raw_vector< T >

Definition at line 136 of file ap.h.

## Constructor & Destructor Documentation

## const_raw_vector() [1/2]

template<class T>

ap::const_raw_vector< T >::const_raw_vector | ( | const T * | Data,
|  | int | Length,
|  | int | Step )

inline

Definition at line 139 of file ap.h.

:
pData(const_cast<T*>(Data)),iLength(Length),iStep(Step){};
ap::const_raw_vector
Definition ap.h:137
ap::const_raw_vector::pData
T * pData
Definition ap.h:151
ap::const_raw_vector::iLength
int iLength
Definition ap.h:152
ap::const_raw_vector::iStep
int iStep
Definition ap.h:152

## const_raw_vector() [2/2]

template<class T>

ap::const_raw_vector< T >::const_raw_vector | ( | const T * | Data,
|  | int | Length,
|  | int | Step )

inline

Definition at line 148 of file svd_si.h.

:
pData(const_cast<T*>(Data)),iLength(Length),iStep(Step){};

## Member Function Documentation

## GetData() [1/2]

template<class T>

const T * ap::const_raw_vector< T >::GetData | ( |  | ) | const

inline

Definition at line 142 of file ap.h.

{ return pData; };

## GetData() [2/2]

template<class T>

const T * ap::const_raw_vector< T >::GetData | ( |  | ) | const

inline

Definition at line 151 of file svd_si.h.

{ return pData; };

## GetLength() [1/2]

template<class T>

int ap::const_raw_vector< T >::GetLength | ( |  | ) | const

inline

Definition at line 145 of file ap.h.

{ return iLength; };

## GetLength() [2/2]

template<class T>

int ap::const_raw_vector< T >::GetLength | ( |  | ) | const

inline

Definition at line 154 of file svd_si.h.

{ return iLength; };

## GetStep() [1/2]

template<class T>

int ap::const_raw_vector< T >::GetStep | ( |  | ) | const

inline

Definition at line 148 of file ap.h.

{ return iStep; };

## GetStep() [2/2]

template<class T>

int ap::const_raw_vector< T >::GetStep | ( |  | ) | const

inline

Definition at line 157 of file svd_si.h.

{ return iStep; };

## Field Documentation

## iLength

template<class T>

int ap::const_raw_vector< T >::iLength

protected

Definition at line 152 of file ap.h.

## iStep

template<class T>

int ap::const_raw_vector< T >::iStep

protected

Definition at line 152 of file ap.h.

## pData

template<class T>

T * ap::const_raw_vector< T >::pData

protected

Definition at line 151 of file ap.h.

The documentation for this class was generated from the following files:

- Singular/svd/libs/ap.h
- Singular/svd_si.h